'Christopher Ryan Thomas
'https://communities.ca.com/web/chris_thomas/myca
'Unify and Simplify registry deployment for IdM report server. 

dim WshShell, installDir
Set WshShell = CreateObject("WScript.Shell")
OsType = WshShell.RegRead("HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Environment\PROCESSOR_ARCHITECTURE")
If OsType = "x86" then 
	wscript.echo "Windows 32bit system detected... Applying 32bit reg key value pair"
	WSHShell.RegWrite "HKLM\SOFTWARE\Business Objects\Suite 12.0\Crystal Reports\DatabaseOptions\MergeConnectionProperties", "Yes"
	installDir = WshShell.RegRead("HKLM\SOFTWARE\Business Objects\Suite 12.0\Shared\SuiteInstallDir")
elseif OsType = "AMD64" then
	wscript.echo "Windows 64bit system detected... Applying 64bit reg key value pair"
	WSHShell.RegWrite "HKLM\SOFTWARE\Wow6432Node\Business Objects\Suite 12.0\Crystal Reports\DatabaseOptions\MergeConnectionProperties", "Yes"
	installDir = WshShell.RegRead("HKLM\SOFTWARE\Wow6432Node\Business Objects\Suite 12.0\Shared\SuiteInstallDir")
end if 

dim fso, libs
Set fso = CreateObject("Scripting.FileSystemObject")
libs = installDir & "common\4.0\java\lib\"
fso.CopyFile ".\*.jar", libs,TRUE

Const ForReading=1
Const ForWriting=2
dim folder, filePath, myFile, myTemp, myLen, myString, newSize
folder = installDir & "\common\4.0\java\"
filePath = folder & "CRConfig.xml"
Set myFile = fso.OpenTextFile(filePath, ForReading, True)
Set myTemp= fso.OpenTextFile(filePath & ".tmp", ForWriting, True)
Do While Not myFile.AtEndofStream
 myLine = myFile.ReadLine
 If InStr(myLine, "<Classpath>") Then
	 myLen = Len(myLine)
	 newSize = myLen - 15
	 myString = Right(myLine, newSize)
	 myLine = "<Classpath>" & libs & "sqljdbc.jar;" & libs & "ojdbc14.jar;" & myString
 End If

 myTemp.WriteLine myLine
Loop
myFile.Close
myTemp.Close
fso.DeleteFile(filePath)
fso.MoveFile filePath&".tmp", filePath

strComputerName = wshShell.ExpandEnvironmentStrings( "%COMPUTERNAME%" )
Dim strService
' Values set
strService = " BOE120SIA" & strComputerName

'Option Explicit
Dim intShortSleep, intLongSleep

' Values set
strService = " BOE120SIA" & strComputerName
intShortSleep = 2000
intLongSleep = 9900

' Cmd prompt opened 
WshShell.Run "cmd" 
Wscript.Sleep intShortSleep

' Service stopped with 'Net' command
WshShell.SendKeys "net stop" & strService 
Wscript.Sleep intShortSleep
WshShell.SendKeys "{Enter}"
Wscript.Sleep intLongSleep

' Service started with 'Net' command
WshShell.SendKeys "net start" & strService 
Wscript.Sleep intShortSleep
WshShell.SendKeys "{Enter}"
Wscript.Sleep intLongSleep

' Cmd prompt exited
WshShell.SendKeys "Exit"
Wscript.Sleep intShortSleep
WshShell.SendKeys "{Enter}"

Wscript.Echo strService & " service restarted "
WScript.Quit 